When I tried to update the Openssh at Linux 7.0, I had a lot of troubles, by now the ssh server works ok , but I needed to update one of the libraries of ssl to make it work, this action brougth me a problem with all of my perl scripts at my server, at the begining I though that it colud be something careless but I realized that it isn't so, Linux show me this messages everytime that I run one of my scripts :

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_US"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

I don't know what the fu.. this means, at the end, the perl code give me the results but sometimes when they are fuctioning like deamons they get stuck.